Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support tier

POST/workspaces/{organizationId}/support/tiers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
levelintegerrequired
Responses
201

Tier created

tierobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
levelintegerrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/tiers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "level": 0
}'
Response
{
  "tier": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "level": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Was this page helpful?